%define upstream_name    Math-Utils
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Useful mathematical functions not in Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Useful mathematical functions not in Perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.140.0-3.mga10
+ Revision: 2206095
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.140.0-2.mga9
+ Revision: 1812591
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 tv <tv> 1.140.0-1.mga8
+ Revision: 1570582
- update to 1.14

* Fri Feb 14 2020 umeabot <umeabot> 1.130.0-2.mga8
+ Revision: 1520005
- Mageia 8 Mass Rebuild

* Wed Oct 31 2018 tv <tv> 1.130.0-1.mga7
+ Revision: 1326906
- update to 1.13

* Thu Sep 20 2018 umeabot <umeabot> 1.120.0-2.mga7
+ Revision: 1284763
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 tv <tv> 1.120.0-1.mga7
+ Revision: 1240116
- update to 1.12

* Tue Oct 03 2017 tv <tv> 1.110.0-2.mga7
+ Revision: 1165446
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 guillomovitch <guillomovitch> 1.110.0-1.mga7
+ Revision: 1160837
- imported package perl-Math-Utils


* Thu Sep 28 2017 cpan2dist 1.11-1mga
- initial mageia release, generated with cpan2dist
